### Method

# Camel StoreDB dup_string_key

since: 3.58

#### Declaration [src]

    gchar*
    camel_store_db_dup_string_key (
      CamelStoreDB* self,
      const gchar* key
    )

#### Description [src]

Reads a string value for the `key`. If such does not exists, the `NULL` is returned.

Available since: 3.58

#### Parameters

`key`

  Type: `const gchar*`

  A user key to read.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A string value of the `key`, or `NULL` when does not exist or any other error occurred

See also camel_store_db_set_string_key(), camel_store_db_get_int_key().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.